classification
Title: Enable TCP_NODELAY for proactor event loop
Type: Stage: resolved
Components: asyncio Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: asvetlov Nosy List: asvetlov, yselivanov
Priority: normal Keywords: patch

Created on 2018-12-02 23:04 by asvetlov, last changed 2018-12-05 08:30 by asvetlov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10867 merged asvetlov, 2018-12-03 12:43
PR 10872 merged miss-islington, 2018-12-03 19:08
PR 10874 merged asvetlov, 2018-12-03 19:19
Messages (4)
msg330903 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-12-02 23:04
We do it for selector based loops already, let's be consistent.

I think the feature should be backported to 3.7 too.
msg330974 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-12-03 19:08
New changeset 3bc0ebab17bf5a2c29d2214743c82034f82e6573 by Andrew Svetlov in branch 'master':
bpo-35380: Enable TCP_NODELAY for proactor event loop (#10867)
https://github.com/python/cpython/commit/3bc0ebab17bf5a2c29d2214743c82034f82e6573
msg330982 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-12-03 21:11
New changeset fe91e9ba08a8854e2149398386702828fe3c0038 by Andrew Svetlov (Miss Islington (bot)) in branch '3.7':
[3.7] bpo-35380: Enable TCP_NODELAY for proactor event loop (GH-10867) (GH-10872)
https://github.com/python/cpython/commit/fe91e9ba08a8854e2149398386702828fe3c0038
msg331095 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-12-05 08:30
New changeset bfb881849f588cd2046776fb431c3045781c8214 by Andrew Svetlov in branch '3.6':
[3.6] bpo-35380: Enable TCP_NODELAY for proactor event loop (GH-10867). (GH-10874)
https://github.com/python/cpython/commit/bfb881849f588cd2046776fb431c3045781c8214
History
Date User Action Args
2018-12-05 08:30:55asvetlovsetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.6
2018-12-05 08:30:09asvetlovsetmessages: + msg331095
2018-12-03 21:11:46asvetlovsetmessages: + msg330982
2018-12-03 19:19:59asvetlovsetpull_requests: + pull_request10111
2018-12-03 19:08:34miss-islingtonsetpull_requests: + pull_request10109
2018-12-03 19:08:15asvetlovsetmessages: + msg330974
2018-12-03 12:43:07asvetlovsetkeywords: + patch
stage: patch review
pull_requests: + pull_request10103
2018-12-02 23:04:59asvetlovsetassignee: asvetlov
2018-12-02 23:04:50asvetlovcreate